local frame = CreateFrame("Frame", nil, UIParent);

function DoOnSpellCast(self, event, ...)

	local unitID, spell, rank, target = ...;

	local inInstance, instanceType = IsInInstance();
	

	if (spell == "Misdirection") then
	
		if (instanceType == "raid") then
			SendChatMessage("Casting " .. spell .. ".  Threat will be passed to " .. target .. ".", "RAID");
		elseif (instanceType == "party") then
			SendChatMessage("Casting " .. spell .. ".  Threat will be passed to " .. target .. ".", "PARTY");
		else
			SendChatMessage("Casting " .. spell .. ".  Threat will be passed to " .. target .. ".", "PARTY");
		end
	end


end

frame:RegisterEvent("UNIT_SPELLCAST_SENT");

frame:SetScript("OnEvent", DoOnSpellCast);
